MethodsList-class {methods} | R Documentation

## Class MethodsList, Representation of Methods for a Generic Function

### Description

Objects from this class are generated and revised by the definition of methods for a generic function.

### Creating Objects

`new('MethodsList', methods = ...., # Object of class list argument = ...., # Object of class name allMethods = ...., # Object of class list fromClass = ...., # Object of class character )`

### Slots

`methods`:
  Object of class "list" ~~
`argument`:
  Object of class "name" ~~
`allMethods`:
  Object of class "list" ~~
`fromClass`:
  Object of class "character" ~~

### Extends

Class "OptionalMethods" directly.

[Package Contents]